package com.mortals.xhx.module.customer.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.service.CustomerService;
import java.util.Map;
/**
* CustomerController
*
* 客户 控制器
*
* @author zxfei
* @date 2021-11-22
*/
@RestController
@RequestMapping("customer")
public class CustomerController extends BaseCRUDJsonMappingController<CustomerService,CustomerForm,CustomerEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CustomerController(){
        super.setFormClass(CustomerForm.class);
        super.setModuleDesc( "客户");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, CustomerForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "custType", paramService.getParamByFirstOrganize("custType"));
        this.addDict(model, "tradeId", paramService.getParamByFirstOrganize("tradeId"));
        this.addDict(model, "status", paramService.getParamByFirstOrganize("status"));
        super.init(request, response, form, model, context);
    }
}